Skip to main content
GET
Get a machine quote

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens - a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Path Parameters

id
string
required
Required string length: 1 - 100

Response

MachineQuote

id
string
required
Required string length: 1 - 100
cluster_id
string
required
Required string length: 1 - 100
instance_type
string
required
Required string length: 1 - 100
public_ipv4
boolean
required
currency
enum<string>
required
Available options:
eur
tax_basis
enum<string>
required
Available options:
net
monthly_price_minor
integer
required
Required range: x >= 0
initial_net_minor
integer
required
Required range: x >= 0
initial_total_minor
integer
required
Required range: x >= 0
quote_revision
string
required
expires_at
integer
required
status
enum<string>
required
Available options:
quoted,
accepted,
payment_pending,
paid,
bound,
release_pending,
released,
failed
payment_url
string | null
required
machine_id
string | null
required
created_at
integer
required
updated_at
integer
required
etag
string
required